Page MenuHomePhabricator

[libomptarget] Move header files and CMake library definition
ClosedPublic

Authored by Hahnfeld on Dec 4 2017, 11:59 AM.

Details

Summary

Future patches will add (private) header files in src/ that should
not be visible to plugins, so move the "public" ones to a new
include/ directory. This is still internal in a sense that the
contained files won't be installed for the user.
Similarly, the target agnostic offloading library should be built
directly in src/. The parent directory is responsible for finding
dependencies and including all subdirectories.

Diff Detail

Repository
rOMP OpenMP

Event Timeline

Hahnfeld created this revision.Dec 4 2017, 11:59 AM
grokos accepted this revision.Dec 5 2017, 12:04 PM

LGTM.

This revision is now accepted and ready to land.Dec 5 2017, 12:04 PM
grokos added inline comments.Dec 6 2017, 12:39 PM
libomptarget/include/omptarget.h
52

Before committing, can you fix this typo? The member is given by the 4 most significant hex digits, i.e. 16 MSBs, not 4 MSBs.

This revision was automatically updated to reflect the committed changes.
Hahnfeld marked an inline comment as done.